> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List identifications



## OpenAPI

````yaml /openapi/kyc.yaml get /kyc/identifications/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYC Token
    description: Endpoints for creating KYC verification session tokens.
  - name: KYC Verifications
    description: Endpoints for actions with KYC verifications.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyc/identifications/:
    get:
      tags:
        - KYC Verifications
      summary: List identifications
      operationId: kycIdentificationsList
      parameters:
        - in: query
          name: clientId
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: perPage
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPartnerIdentificationListList'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    PaginatedPartnerIdentificationListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/PartnerIdentificationList'
    PartnerIdentificationList:
      type: object
      properties:
        scanRef:
          type: string
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/IdentificationStatusEnum'
          readOnly: true
        suspected:
          type: boolean
          readOnly: true
      required:
        - scanRef
        - status
        - suspected
    IdentificationStatusEnum:
      enum:
        - APPROVED
        - DENIED
        - SUSPECTED
        - REVIEWING
        - EXPIRED
        - ACTIVE
        - DELETED
        - ARCHIVED
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````